SingleRowResultSet
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SingleRowResultSet

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet
          org.postgresql.pljava.jdbc.ObjectResultSet
              org.postgresql.pljava.jdbc.SingleRowResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  SingleRowReader, SingleRowWriter, TriggerResultSet

    public abstract class SingleRowResultSet

extends ObjectResultSet

A single row ResultSet

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`SingleRowResultSet()`

Method Summary
`boolean` | `absolute(int row)` Cursor positioning is not supported.
`void` | `afterLast()` Cursor positoning is not implemented.
`void` | `beforeFirst()` Cursor positoning is not implemented.
`void` | `deleteRow()` This feature is not supported.
`int` | `findColumn(java.lang.String columnName)`
`boolean` | `first()` Cursor positioning is not implemented.
`int` | `getConcurrency()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSetMetaData` | `getMetaData()` Returns the metadata for this result set.
`int` | `getRow()`
`protected abstract TupleDesc` | `getTupleDesc()`
`int` | `getType()`
`void` | `insertRow()` This feature is not supported.
`boolean` | `isAfterLast()` Returns `false`.
`boolean` | `isBeforeFirst()` Will always return `false` since a `SingleRowWriter` starts on the one and only row.
`boolean` | `isFirst()` Returns `true`.
`boolean` | `isLast()` Returns `true`.
`boolean` | `last()` Cursor positioning is not implemented.
`void` | `moveToCurrentRow()` This is a no-op since the `moveToInsertRow()` method is unsupported.
`void` | `moveToInsertRow()` This feature is not supported on a `SingleRowWriter`.
`boolean` | `next()` This method will always return `false` but it will not change the state of the `ResultSet`.
`boolean` | `previous()` This method will always return `false` but it will not change the state of the `ResultSet`.
`boolean` | `relative(int rows)` Cursor positioning is not supported.
`boolean` | `rowDeleted()` Will always return false.
`boolean` | `rowInserted()` Will always return false.
`void` | `setFetchDirection(int direction)` Only `ResultSet.FETCH_FORWARD` is supported.
`void` | `setFetchSize(int fetchSize)` Only permitted value for `fetchSize` is 1.
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)` The scale is not really supported.
`void` | `updateRow()` This is a noop.

Methods inherited from class org.postgresql.pljava.jdbc.ObjectResultSet
`clearWarnings, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDate, getDouble, getFloat, getInt, getLong, getNumber, getObject, getObject, getObjectValue, getObjectValue, getRef, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, getValue, getValue, getWarnings, refreshRow, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateRef, updateShort, updateString, updateTime, updateTimestamp, wasNull`

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSet
`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCursorName, getDate, getDate, getDouble, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, isClosed, isWrapperFor, unwrap, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateObject, updateObject, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.ResultSet
`cancelRowUpdates, close, rowUpdated, updateObject`

Constructor Detail

### SingleRowResultSet

    public SingleRowResultSet()

Method Detail

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Returns the metadata for this result set.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Overrides:
    `getMetaData` in class `ObjectResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getRow

    public int getRow()
               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getType

    public int getType()
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Cursor positoning is not implemented.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Cursor positoning is not implemented.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### first

    public boolean first()
                  throws java.sql.SQLException

  Cursor positioning is not implemented.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Returns `false`.

  Throws:
    `java.sql.SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Will always return `false` since a `SingleRowWriter` starts on the one and only row.

  Throws:
    `java.sql.SQLException`

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Returns `true`.

  Throws:
    `java.sql.SQLException`

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Returns `true`.

  Throws:
    `java.sql.SQLException`

### last

    public boolean last()
                 throws java.sql.SQLException

  Cursor positioning is not implemented.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### next

    public boolean next()
                 throws java.sql.SQLException

  This method will always return `false` but it will not change the state of the `ResultSet`.

  Throws:
    `java.sql.SQLException`

### previous

    public boolean previous()
                     throws java.sql.SQLException

  This method will always return `false` but it will not change the state of the `ResultSet`.

  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Only `ResultSet.FETCH_FORWARD` is supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported for other values on `direction`.

### setFetchSize

    public void setFetchSize(int fetchSize)
                      throws java.sql.SQLException

  Only permitted value for `fetchSize` is 1.

  Throws:
    `java.sql.SQLException`

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Cursor positioning is not supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  Cursor positioning is not supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  This feature is not supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  This feature is not supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  This is a no-op since the `moveToInsertRow()` method is unsupported.

  Throws:
    `java.sql.SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  This feature is not supported on a `SingleRowWriter`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  This is a noop.

  Throws:
    `java.sql.SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Will always return false.

  Throws:
    `java.sql.SQLException`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Will always return false.

  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  The scale is not really supported. This method just strips it off and calls `ResultSet.updateObject(int, Object)`

  Throws:
    `java.sql.SQLException`

### getTupleDesc

    protected abstract TupleDesc getTupleDesc()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT